# $Revision: 1.39 $, $Date: 2010/09/12 09:32:45 $
Summary:	SDL graphics drawing primitives and other support functions
Summary(pl.UTF-8):	Funkcje rysowania grafiki i inne dla SDL
Name:		SDL_gfx
Version:	2.0.22
Release:	1
License:	LGPL v2.1+
Group:		Libraries
#Source0Download: http://www.ferzkopp.net/joomla/software-mainmenu-14/4-ferzkopps-linux-software/19-sdlgfx
Source0:	http://www.ferzkopp.net/Software/SDL_gfx-2.0/%{name}-%{version}.tar.gz
# Source0-md5:	330f291f1f09a1bdf397c9b40d92ca41
Patch0:		%{name}-local-labels.patch
URL:		http://www.ferzkopp.net/joomla/software-mainmenu-14/4-ferzkopps-linux-software/19-sdlgfx
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.566
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The SDL_gfx library evolved out of the SDL_gfxPrimitives code.

The current components of the SDL_gfx library are:
- Graphic Primitives (SDL_gfxPrimitves.h)
- Rotozoomer (SDL_rotozoom.h)
- Framerate control (SDL_framerate.h)
- MMX image filters (SDL_imageFilter.h)

The library is backwards compatible to the above mentioned code. It's
is written in plain C and can be used in C++ code.

%description -l pl.UTF-8
Biblioteka SDL_gfx wyewoluowała z kodu SDL_gfxPrimitives.

Aktualnie SDL_gfx zawiera następujące komponenty:
- prymitywy graficzne (SDL_gfxPrimitives.h)
- Rotozoomer (SDL_rotozoom.h)
- kontrola szybkości rysowania obrazu (SDL_framerate.h)
- filtry obrazów używające MMX (SDL_imageFilter.h).

Biblioteka jest wstecznie kompatybilna z wyżej wspomnianym kodem. Jest
napisana w czystym C, może też być używana w kodzie C++.

%package devel
Summary:	Header files and more to develop SDL_gfx applications
Summary(pl.UTF-8):	Pliki nagłówkowe do rozwijania aplikacji używających SDL_gfx
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SDL-devel

%description devel
Header files and more to develop SDL_gfx applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe do rozwijania aplikacji używających SDL_gfx.

%package static
Summary:	Static SDL_gfx libraries
Summary(pl.UTF-8):	Statyczne biblioteki SDL_gfx
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static SDL_gfx libraries.

%description static -l pl.UTF-8
Statyczne biblioteki SDL_gfx.

%prep
%setup -q
%undos SDL_imageFilter.c
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}

%configure \
%ifnarch %{ix86}
	--disable-mmx
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/libSDL_gfx.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libSDL_gfx.so.13

%files devel
%defattr(644,root,root,755)
%doc Docs/*
%attr(755,root,root) %{_libdir}/libSDL_gfx.so
%{_libdir}/libSDL_gfx.la
%{_includedir}/SDL/SDL_framerate.h
%{_includedir}/SDL/SDL_gfx*.h
%{_includedir}/SDL/SDL_imageFilter.h
%{_includedir}/SDL/SDL_rotozoom.h
%{_pkgconfigdir}/SDL_gfx.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libSDL_gfx.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: SDL_gfx.spec,v $
Revision 1.39  2010/09/12 09:32:45  lisu
- 2.0.22

Revision 1.38  2010/09/07 06:24:34  qboosh
- updated URL
- cleanup

Revision 1.37  2010/06/16 21:04:13  lisu
- BRs: sed >= 4.0 and rpmbuild(macros) >= 1.566 for %%undos

Revision 1.36  2010/06/16 20:32:19  lisu
- up to 2.0.21

Revision 1.35  2010/06/03 00:18:43  baggins
- rel 2

Revision 1.34  2009/09/29 11:39:35  lisu
- up to 2.0.20

Revision 1.33  2009/06/06 16:41:54  blues
- rel.2

Revision 1.32  2009/04/27 08:55:17  lisu
- final 2.0.19 version
- add *.pc to devel

Revision 1.31.2.1  2009/03/19 08:01:53  lisu
- up to 2.0.19beta

Revision 1.31  2008/12/25 09:49:38  qboosh
- verbose includes

Revision 1.30  2008/12/25 09:41:26  qboosh
- verbose lib files

Revision 1.29  2008/12/22 09:02:10  lisu
- mention add ghost soname symlink in previous log

Revision 1.28  2008/12/22 09:01:25  lisu
- up to 2.0.18
- ghost soname symlink

Revision 1.27  2007/09/21 20:35:06  megabajt
- release 2

Revision 1.26  2007/02/12 21:23:45  glen
- tabs in preamble

Revision 1.25  2007/02/12 00:48:34  baggins
- converted to UTF-8

Revision 1.24  2006/08/08 13:59:22  sparky
- %patch0

Revision 1.23  2006/03/23 20:03:27  qboosh
- BR: ac >= 2.59-9 to avoid libXt-devel BR

Revision 1.22  2006/01/22 22:29:47  matkor
- URLs updated.

Revision 1.21  2005/01/15 23:18:44  qboosh
- updated to 2.0.13 (new soname again), updated local-labels patch

Revision 1.20  2004/10/31 17:07:43  paladine
- spaces->tabs
- formatting

Revision 1.19  2004/08/30 16:55:33  paszczus
- updated to 2.0.12

Revision 1.18  2004/05/18 23:03:01  qboosh
- updated to 2.0.11

Revision 1.17  2003/12/12 15:05:21  grzegol
- updated to 2.0.10
- fixed URL

Revision 1.16  2003/10/27 17:52:11  adamg
- updated to 2.0.9

Revision 1.15  2003/08/05 21:45:15  qboosh
- added local-labels patch - use local labels in asm statements (to allow
  forcing inline functions by using custom, non-default optflags - but
  I doubt if it'd give better performance anyway...)

Revision 1.14  2003/07/29 13:31:54  grzegol
- updated to 2.0.8

Revision 1.13  2003/07/06 23:27:14  blues
- many small fixes, mostly inpired by kloczek

Revision 1.12  2003/06/11 04:42:57  misi3k
- updated to 2.0.7

Revision 1.11  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.10  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2003/02/19 23:50:45  qboosh
- added .la to -devel, new %%doc
- headers moved to /usr/include/SDL (like in other SDL* packages)

Revision 1.8  2003/02/05 20:28:43  mmazur
- Let me shoot the 'two lines with define guy'... please please please please
- fixed includedir; rel3

Revision 1.7  2003/01/18 22:56:19  juandon
- removed two lines with define

Revision 1.6  2002/10/09 13:14:15  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.5  2002/07/15 21:06:34  ankry
- don't use mmx on non-x86
- release 2, STBR

Revision 1.4  2002/06/23 20:32:19  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.3  2002/05/21 23:12:38  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.2  2002/04/28 21:55:52  qboosh
- pl description

Revision 1.1  2002/04/28 17:24:50  jajcus
- new spec
